> ## AI Agent Context
> - Full documentation index: https://aistudio.google.com/llms.txt
> - Gemini Docs MCP server (consistent live info): https://gemini-api-docs-mcp.dev
> - Coding agent skills & setup guide: https://aistudio.google.com/docs/coding-agents.md

# Getting a trigger

{% callout type="note" %}
  This API is in Beta. Endpoints are under `/v1beta/`.

{% /callout %}

{% mark class="http-get" %}{% icon name="south_west" /%}`GET`{% /mark %} `https://generativelanguage.googleapis.com/v1beta/triggers/{id}`

Gets details of a single trigger.

{% two-column-layout %}
  {% left-column %}
## Parameters  {% class="hide-from-toc" id="parameters" %}

  {% section class="api-ref-property-list" %}
  **id**: {% mark %}required{% /mark %} `string`

  Resource name of the trigger.

  {% /section %}

  {% /left-column %}

  {% right-column class="sticky" %}
  **Example request** {% class="example-heading" %}

  {% tabs %}
  {% tab label="REST" %}
  ```sh
  curl -X GET "https://generativelanguage.googleapis.com/v1beta/triggers/$TRIGGER_ID" \
    -H "x-goog-api-key: $GEMINI_API_KEY"
  ```

  {% /tab %}

  {% /tabs %}

  {% /right-column %}

{% /two-column-layout %}

{% two-column-layout %}
  {% left-column %}
## Response  {% class="hide-from-toc" id="response" %}

  {% section class="api-ref-property-list" %}
  **schedule**: {% mark %}required{% /mark %} `string`

  The cron schedule on which the trigger should run. Standard cron format.

  {% hr /%}

  **time_zone**: {% mark %}required{% /mark %} `string`

  Time zone in which the schedule should be interpreted.

  {% hr /%}

  {% details %}
  {% summary %}
  **interaction**: {% mark %}required{% /mark %} `CreateAgentInteractionParams`

  The interaction request template to be executed.

  {% /summary %}

  {% details %}
  {% summary %}
  **agent**: {% mark %}required{% /mark %} `AgentOption`

  The name of the `Agent` used for generating the interaction.

  {% /summary %}

  Possible values:

  - `deep-research-preview-04-2026`: Gemini Deep Research Agent
  - `deep-research-max-preview-04-2026`: Gemini Deep Research Max Agent
  - `antigravity-preview-05-2026`: Use the Antigravity managed agent to perform multi-step tasks that require reasoning, file operations, and tool use.
  - `antigravity-preview-09-2026`: Use the Antigravity managed agent to perform multi-step tasks that require reasoning, file operations, and tool use.

  {% /details %}

  **input**: {% mark %}required{% /mark %} `Content` or `Content array` or `Step array` or `string`

  The input for the interaction.

  {% details %}
  {% summary %}
  **agent_config**: `AntigravityAgentConfig` or `DeepResearchAgentConfig` or `DynamicAgentConfig`

  Configuration parameters for the agent interaction.

  {% /summary %}

  **Possible Types:** {% class="api-ref-label" %}

  {% details %}
  {% summary %}
  **AntigravityAgentConfig**

  {% /summary %}

  Configuration for the Antigravity agent runtime. Provides server-side control over the agent's execution environment and tool configuration.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `antigravity`

  **model**: `string`

  The model to use for agent reasoning.

  **max_total_tokens**: `string`

  Max total tokens for the agent run.

  {% /details %}

  {% details %}
  {% summary %}
  **DeepResearchAgentConfig**

  {% /summary %}

  Configuration for the Deep Research agent.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `deep-research`

  {% details %}
  {% summary %}
  **thinking_summaries**: `ThinkingSummaries`

  Whether to include thought summaries in the response.

  {% /summary %}

  Possible values:

  - `auto`: Auto thinking summaries.
  - `none`: No thinking summaries.

  {% /details %}

  {% details %}
  {% summary %}
  **visualization**: `string enum`

  Whether to include visualizations in the response.

  {% /summary %}

  Possible values:

  - `off`: Do not include visualizations.
  - `auto`: Automatically include visualizations.

  {% /details %}

  **collaborative_planning**: `boolean`

  Enables human-in-the-loop planning for the Deep Research agent. If set to true, the Deep Research agent will provide a research plan in its response. The agent will then proceed only if the user confirms the plan in the next turn.

  {% /details %}

  {% details %}
  {% summary %}
  **DynamicAgentConfig**

  {% /summary %}

  Configuration for dynamic agents.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `dynamic`

  {% /details %}

  {% /details %}

  **id**: `string`

  Required. Output only. A unique identifier for the interaction completion.

  {% details %}
  {% summary %}
  **status**: `string enum`

  Required. Output only. The status of the interaction.

  {% /summary %}

  Possible values:

  - `in_progress`: The interaction is in progress.
  - `requires_action`: The interaction requires action/input from the user.
  - `completed`: The interaction is completed.
  - `failed`: The interaction failed.
  - `cancelled`: The interaction was cancelled.
  - `incomplete`: The interaction is completed, but contains incomplete results (e.g. hitting max_tokens).
  - `requires_continuation`: The interaction requires at least one more request for it to be completed. The next request should set the continuation_token to the one returned by this request.

  {% /details %}

  **created**: `string`

  Required. Output only. The time at which the response was created in ISO 8601 format (YYYY-MM-DDThh:mm:ssZ).

  **updated**: `string`

  Required. Output only. The time at which the response was last updated in ISO 8601 format (YYYY-MM-DDThh:mm:ssZ).

  **system_instruction**: `string`

  System instruction for the interaction.

  {% details %}
  {% summary %}
  **tools**: `Tool array`

  A list of tool declarations the model may call during interaction.

  {% /summary %}

  **Possible Types:** {% class="api-ref-label" %}

  {% details %}
  {% summary %}
  **CodeExecution**

  {% /summary %}

  A tool that can be used by the model to execute code.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `code_execution`

  {% /details %}

  {% details %}
  {% summary %}
  **ComputerUse**

  {% /summary %}

  A tool that can be used by the model to interact with the computer.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `computer_use`

  {% details %}
  {% summary %}
  **environment**: `string enum`

  The environment being operated.

  {% /summary %}

  Possible values:

  - `browser`: Operates in a web browser.
  - `mobile`: Operates in a mobile environment.
  - `desktop`: Operates in a desktop environment.

  {% /details %}

  **excluded_predefined_functions**: `string array`

  The list of predefined functions that are excluded from the model call.

  **enable_prompt_injection_detection**: `boolean`

  Whether enable the prompt injection detection check on computer-use request.

  {% details %}
  {% summary %}
  **disabled_safety_policies**: `string enum array`

  Optional. Disabled safety policies for computer use.

  {% /summary %}

  Possible values:

  - `financial_transactions`: Safety policy for financial transactions.
  - `sensitive_data_modification`: Safety policy for sensitive data modification.
  - `communication_tool`: Safety policy for communication tools (e.g. Gmail, Chat, Meet).
  - `account_creation`: Safety policy for account creation.
  - `data_modification`: Safety policy for data modification.
  - `user_consent_management`: Safety policy for user consent management.
  - `legal_terms_and_agreements`: Safety policy for legal terms and agreements.

  {% /details %}

  {% /details %}

  {% details %}
  {% summary %}
  **FileSearch**

  {% /summary %}

  A tool that can be used by the model to search files.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `file_search`

  **file_search_store_names**: `string array`

  The file search store names to search.

  **top_k**: `integer`

  The number of semantic retrieval chunks to retrieve.

  **metadata_filter**: `string`

  Metadata filter to apply to the semantic retrieval documents and chunks.

  {% /details %}

  {% details %}
  {% summary %}
  **Function**

  {% /summary %}

  A tool that can be used by the model.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `function`

  **name**: `string`

  The name of the function.

  **description**: `string`

  A description of the function.

  **parameters**: `object`

  The JSON Schema for the function's parameters. Supports a subset of JSON Schema. `minLength`, `maxLength`, `minProperties`, `maxProperties`, `uniqueItems`, `contains`, `minContains`, and `maxContains` are ignored and not enforced.

  **defer_loading**: `boolean`

  If true, the function's loading is deferred.

  **short_description**: `string`

  A brief description of the function, shown to the model as a short summary of functions with `defer_loading` set to true.

  {% /details %}

  {% details %}
  {% summary %}
  **GoogleMaps**

  {% /summary %}

  A tool that can be used by the model to call Google Maps.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `google_maps`

  **enable_widget**: `boolean`

  Whether to return a widget context token in the tool call result of the response.

  **latitude**: `number`

  The latitude of the user's location.

  **longitude**: `number`

  The longitude of the user's location.

  {% /details %}

  {% details %}
  {% summary %}
  **GoogleSearch**

  {% /summary %}

  A tool that can be used by the model to search Google.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `google_search`

  {% details %}
  {% summary %}
  **search_types**: `string enum array`

  The types of search grounding to enable.

  {% /summary %}

  Possible values:

  - `web_search`: Setting this field enables web search. Only text results are returned.
  - `image_search`: Setting this field enables image search. Image bytes are returned.

  {% /details %}

  {% /details %}

  {% details %}
  {% summary %}
  **McpServer**

  {% /summary %}

  A MCPServer is a server that can be called by the model to perform actions.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `mcp_server`

  **name**: `string`

  The name of the MCPServer.

  **url**: `string`

  The full URL for the MCPServer endpoint. Example: "https://api.example.com/mcp"

  **headers**: `object`

  Optional: Fields for authentication headers, timeouts, etc., if needed.

  {% details %}
  {% summary %}
  **allowed_tools**: `AllowedTools array`

  The allowed tools.

  {% /summary %}

  {% details %}
  {% summary %}
  **mode**: `string enum`

  The mode of the tool choice.

  {% /summary %}

  Possible values:

  - `auto`: Auto tool choice.
  - `any`: Any tool choice.
  - `none`: No tool choice.
  - `validated`: Validated tool choice.

  {% /details %}

  **tools**: `string array`

  The names of the allowed tools.

  {% /details %}

  **defer_loading**: `boolean`

  If true, loading of tools on this MCP server is deferred.

  {% /details %}

  {% details %}
  {% summary %}
  **ToolSearch**

  {% /summary %}

  A tool that allows the model to dynamically search for and load tools into the model’s context on demand. This allows clients to avoid loading all tool definitions up front and may help reduce overall token usage and cost.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `tool_search`

  **name**: `string`

  The name of the function. To be set only for client-side execution.

  **description**: `string`

  A description of the function. To be set only for client-side execution.

  **parameters**: `object`

  The JSON Schema for the function's parameters. To be set only for client-side execution.

  {% details %}
  {% summary %}
  **execution**: `string enum`

  The execution mode of the tool search.

  {% /summary %}

  Possible values:

  - `server`: Server-side execution mode. Default.
  - `client`: Client-side execution mode.

  {% /details %}

  {% /details %}

  {% details %}
  {% summary %}
  **UrlContext**

  {% /summary %}

  A tool that can be used by the model to fetch URL context.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `url_context`

  {% /details %}

  {% /details %}

  {% details %}
  {% summary %}
  **response_format**: `ResponseFormat` or `ResponseFormat array`

  Enforces that the generated response is a JSON object that complies with the JSON schema specified in this field.

  {% /summary %}

  **Possible Types:** {% class="api-ref-label" %}

  {% details %}
  {% summary %}
  **AudioResponseFormat**

  {% /summary %}

  Configuration for audio output format.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `audio`

  {% details %}
  {% summary %}
  **mime_type**: `string enum`

  The MIME type of the audio output.

  {% /summary %}

  Possible values:

  - `audio/mp3`: MP3 audio format.
  - `audio/ogg_opus`: OGG Opus audio format.
  - `audio/l16`: Raw PCM (L16) audio format.
  - `audio/wav`: WAV audio format.
  - `audio/alaw`: A-law audio format.
  - `audio/mulaw`: Mu-law audio format.

  {% /details %}

  {% details %}
  {% summary %}
  **delivery**: `string enum`

  The delivery mode for the audio output.

  {% /summary %}

  Possible values:

  - `inline`: Audio data is returned inline in the response.
  - `uri`: Audio data is returned as a URI.

  {% /details %}

  **sample_rate**: `integer`

  Sample rate in Hz.

  **bit_rate**: `integer`

  Bit rate in bits per second (bps). Only applicable for compressed formats (MP3, Opus).

  {% /details %}

  {% details %}
  {% summary %}
  **ImageResponseFormat**

  {% /summary %}

  Configuration for image output format.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `image`

  {% details %}
  {% summary %}
  **mime_type**: `string enum`

  The MIME type of the image output.

  {% /summary %}

  Possible values:

  - `image/jpeg`: JPEG image format.

  {% /details %}

  {% details %}
  {% summary %}
  **delivery**: `string enum`

  The delivery mode for the image output.

  {% /summary %}

  Possible values:

  - `inline`: Image data is returned inline in the response.
  - `uri`: Image data is returned as a URI.

  {% /details %}

  {% details %}
  {% summary %}
  **aspect_ratio**: `string enum`

  The aspect ratio for the image output.

  {% /summary %}

  Possible values:

  - `1:1`: 1:1 aspect ratio.
  - `2:3`: 2:3 aspect ratio.
  - `3:2`: 3:2 aspect ratio.
  - `3:4`: 3:4 aspect ratio.
  - `4:3`: 4:3 aspect ratio.
  - `4:5`: 4:5 aspect ratio.
  - `5:4`: 5:4 aspect ratio.
  - `9:16`: 9:16 aspect ratio.
  - `16:9`: 16:9 aspect ratio.
  - `21:9`: 21:9 aspect ratio.
  - `1:8`: 1:8 aspect ratio.
  - `8:1`: 8:1 aspect ratio.
  - `1:4`: 1:4 aspect ratio.
  - `4:1`: 4:1 aspect ratio.

  {% /details %}

  {% details %}
  {% summary %}
  **image_size**: `string enum`

  The size of the image output.

  {% /summary %}

  Possible values:

  - `512`: 512px image size.
  - `1K`: 1K image size.
  - `2K`: 2K image size.
  - `4K`: 4K image size.

  {% /details %}

  {% /details %}

  {% details %}
  {% summary %}
  **TextResponseFormat**

  {% /summary %}

  Configuration for text output format.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `text`

  {% details %}
  {% summary %}
  **mime_type**: `string enum`

  The MIME type of the text output.

  {% /summary %}

  Possible values:

  - `application/json`: JSON output format.
  - `text/plain`: Plain text output format.

  {% /details %}

  **schema**: `object`

  The JSON schema that the output should conform to. Only applicable when mime_type is application/json. Supports a subset of JSON Schema. `minLength`, `maxLength`, `minProperties`, `maxProperties`, `uniqueItems`, `contains`, `minContains`, and `maxContains` are ignored and not enforced; validate these in your application. `minItems` and `maxItems` are enforced. Schemas that are too complex to enforce (for example, large `maxItems` on nested arrays) return a 400 INVALID_ARGUMENT error.

  {% /details %}

  {% details %}
  {% summary %}
  **VideoResponseFormat**

  {% /summary %}

  Configuration for video output format.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `video`

  {% details %}
  {% summary %}
  **delivery**: `string enum`

  The delivery mode for the video output.

  {% /summary %}

  Possible values:

  - `inline`: Video data is returned inline in the response.
  - `uri`: Video data is returned as a URI.

  {% /details %}

  {% details %}
  {% summary %}
  **aspect_ratio**: `string enum`

  The aspect ratio for the video output.

  {% /summary %}

  Possible values:

  - `16:9`: 16:9 aspect ratio.
  - `9:16`: 9:16 aspect ratio.

  {% /details %}

  **duration**: `string`

  The duration for the video output.

  {% details %}
  {% summary %}
  **resolution**: `string enum`

  The video output resolution. Defaults to 720p.

  {% /summary %}

  Possible values:

  - `360p`: 360p resolution.
  - `720p`: 720p resolution.
  - `1080p`: 1080p resolution.
  - `4k`: 4K resolution.

  {% /details %}

  {% /details %}

  {% details %}
  {% summary %}
  **ResponseFormat array**

  {% /summary %}

  A list where each item is one of: `AudioResponseFormat`, `ImageResponseFormat`, `TextResponseFormat`, `VideoResponseFormat`.

  {% /details %}

  {% /details %}

  **previous_interaction_id**: `string`

  The ID of the previous interaction, if any.

  {% details %}
  {% summary %}
  **environment**: `EnvironmentConfig` or `string`

  The environment configuration for the interaction. Can be an object specifying remote environment sources or a string referencing an existing environment ID.

  {% /summary %}

  **Possible Types:** {% class="api-ref-label" %}

  {% details %}
  {% summary %}
  **EnvironmentConfig**

  {% /summary %}

  Configuration for a custom environment.

  **type**: {% mark %}required{% /mark %} `object`

  Value: `remote`

  {% details %}
  {% summary %}
  **sources**: `Source array`

  {% /summary %}

  {% details %}
  {% summary %}
  **type**: `string enum`

  {% /summary %}

  Possible values:

  - `gcs`: A Cloud Storage bucket.
  - `inline`: Inline content.
  - `repository`: A generic repository. The protocol prefix in the source URL identifies the provider (e.g., github://, gcs://).

  {% /details %}

  **source**: `string`

  The source of the environment. For Cloud Storage, this is the Cloud Storage path. For GitHub, this is the GitHub path.

  **target**: `string`

  Where the source should appear in the environment.

  **content**: `string`

  The inline content if `type` is `INLINE`.

  **encoding**: `string`

  Optional encoding for inline content (e.g. `base64`).

  {% /details %}

  {% details %}
  {% summary %}
  **network**: `EnvironmentNetworkEgressAllowlist` or `string enum`

  Network configuration for the environment.

  {% /summary %}

  **Possible Types:** {% class="api-ref-label" %}

  {% details %}
  {% summary %}
  **EnvironmentNetworkEgressAllowlist**

  {% /summary %}

  Network egress configuration for the environment.

  {% details %}
  {% summary %}
  **allowlist**: `EgressRule array` or `string enum`

  List of allowed domains and their configurations. Set to `"disabled"` to block all network egress.

  {% /summary %}

  **Possible Types:** {% class="api-ref-label" %}

  {% details %}
  {% summary %}
  **EgressRule array**

  {% /summary %}

  A single domain allowlist rule with optional header injection.

  **domain**: {% mark %}required{% /mark %} `string`

  Domain to allow outbound requests to. Supports wildcards (e.g. '*.googleapis.com'). Use '*' to allow all domains.

  **transform**: `object`

  Headers to inject into requests matching this rule. Key: header name (e.g., "Authorization"). Value: header value (e.g., "Bearer your-token").

  **credential**: `string`

  Optional. Reference to a server-managed Credential resource by ID.

  {% /details %}

  {% details %}
  {% summary %}
  **string enum**

  {% /summary %}

  Possible values:

  - `disabled`: All network egress is blocked.

  {% /details %}

  {% /details %}

  {% /details %}

  {% details %}
  {% summary %}
  **string enum**

  {% /summary %}

  Possible values:

  - `disabled`: All network egress is blocked.

  {% /details %}

  {% /details %}

  **environment_id**: `string`

  Optional. The environment ID for the interaction. If specified, the request will update the existing environment instead of creating a new one.

  {% details %}
  {% summary %}
  **env**: `object` or `string`

  Environment variables to set in the sandbox environment.

  {% /summary %}

  **Possible Types:** {% class="api-ref-label" %}

  {% details %}
  {% summary %}
  **string**

  {% /summary %}

  A direct string value.

  {% /details %}

  {% /details %}

  {% details %}
  {% summary %}
  **mode**: `string enum`

  The compute lifecycle mode for this environment.

  {% /summary %}

  Possible values:

  - `on_demand`: The compute lifecycle mode for this environment.
  - `self_hosted`: The compute lifecycle mode for this environment.

  {% /details %}

  **custom_config**: `object`

  Optional. Arbitrary customer-defined JSON configuration passed through to the self-hosted environment poller. Only supported when `mode` is `SELF_HOSTED`.

  {% /details %}

  {% details %}
  {% summary %}
  **string**

  {% /summary %}

  A direct string value.

  {% /details %}

  {% /details %}

  **environment_id**: `string`

  Output only. The environment ID for the interaction. Only populated if environment config is set in the request.

  {% details %}
  {% summary %}
  **service_tier**: `ServiceTier`

  The service tier for the interaction.

  {% /summary %}

  Possible values:

  - `flex`: Flex service tier.
  - `standard`: Standard service tier.
  - `priority`: Priority service tier.

  {% /details %}

  {% details %}
  {% summary %}
  **webhook_config**: `WebhookConfig`

  Optional. Webhook configuration for receiving notifications when the interaction completes.

  {% /summary %}

  **uris**: `string array`

  Optional. If set, these webhook URIs will be used for webhook events instead of the registered webhooks.

  **user_metadata**: `object`

  Optional. The user metadata that will be returned on each event emission to the webhooks.

  {% /details %}

  {% details %}
  {% summary %}
  **safety_settings**: `SafetySetting array`

  Safety settings for the interaction.

  {% /summary %}

  {% details %}
  {% summary %}
  **type**: {% mark %}required{% /mark %} `HarmCategory`

  The type of harm category to be blocked.

  {% /summary %}

  Possible values:

  - `hate_speech`: Content that promotes violence or incites hatred against individuals or groups based on certain attributes.
  - `dangerous_content`: Content that promotes, facilitates, or enables dangerous activities.
  - `harassment`: Abusive, threatening, or content intended to bully, torment, or ridicule.
  - `sexually_explicit`: Content that contains sexually explicit material.
  - `jailbreak`: Prompts designed to bypass safety filters.

  {% /details %}

  {% details %}
  {% summary %}
  **threshold**: {% mark %}required{% /mark %} `string enum`

  The threshold for blocking content. If the harm probability exceeds this threshold, the content will be blocked.

  {% /summary %}

  Possible values:

  - `block_low_and_above`: Block content with a low harm probability or higher.
  - `block_medium_and_above`: Block content with a medium harm probability or higher.
  - `block_only_high`: Block content with a high harm probability.
  - `off`: Turn off the safety filter entirely.

  {% /details %}

  {% details %}
  {% summary %}
  **method**: `string enum`

  Optional. The method for blocking content. If not specified, the default behavior is to use the probability score.

  {% /summary %}

  Possible values:

  - `severity`: The harm block method uses both probability and severity scores.
  - `probability`: The harm block method uses the probability score.

  {% /details %}

  {% /details %}

  **labels**: `object`

  The labels with user-defined metadata for the request. Label keys and values can be no longer than 63 characters (Unicode codepoints) and can only contain lowercase letters, numeric characters, underscores, and dashes. International characters are allowed. Label values are optional. Label keys must start with a letter.

  **continuation_token**: `string`

  Opaque token to resume a long decode. Output: set when status is REQUIRES_CONTINUATION and decoding can be resumed. Input: pass the latest token back unchanged when creating the next interaction to continue decoding.

  **stream**: `boolean`

  Input only. Whether the interaction will be streamed.

  **store**: `boolean`

  Input only. Whether to store the response and request for later retrieval.

  **background**: `boolean`

  Input only. Whether to run the model interaction in the background.

  {% /details %}

  {% hr /%}

  **id**: {% mark %}required{% /mark %} `string`

  Output only. Identifier. The ID of the trigger.

  {% hr /%}

  **display_name**: `string`

  Optional. The display name of the trigger.

  {% hr /%}

  **environment_id**: `string`

  Optional. The environment ID for the trigger execution.

  {% hr /%}

  **max_consecutive_failures**: `integer`

  Optional. The maximum number of consecutive failures allowed before the trigger is automatically paused (status becomes ERROR).

  {% hr /%}

  **execution_timeout_seconds**: `integer`

  Optional. The execution timeout for the triggered interaction.

  {% hr /%}

  **consecutive_failure_count**: `integer`

  Output only. The number of consecutive failures that have occurred since the last successful execution.

  {% hr /%}

  **create_time**: `string`

  Output only. The time when the trigger was created.

  {% hr /%}

  **update_time**: `string`

  Output only. The time when the trigger was last updated.

  {% hr /%}

  **last_run_time**: `string`

  Output only. The time when the trigger was last run.

  {% hr /%}

  **next_run_time**: `string`

  Output only. The time when the trigger is scheduled to run next.

  {% hr /%}

  **last_pause_time**: `string`

  Output only. The time when the trigger was last paused.

  {% hr /%}

  **last_resume_time**: `string`

  Output only. The time when the trigger was last resumed.

  {% hr /%}

  **previous_interaction_id**: `string`

  Output only. The ID of the last interaction created by this trigger.

  {% hr /%}

  {% details %}
  {% summary %}
  **status**: `string enum`

  Output only. The current status of the trigger.

  {% /summary %}

  Possible values:

  - `active`: The trigger is active and will fire on schedule.
  - `paused`: The trigger is paused and will not fire.
  - `error`: The trigger has entered an error state due to consecutive failures.

  {% /details %}

  {% /section %}

  {% /left-column %}

  {% right-column class="sticky" %}
  **Example response** {% class="example-heading" %}

  ```json
  {
    "schedule": "string",
    "time_zone": "string",
    "interaction": {
      "agent": "deep-research-preview-04-2026",
      "input": {
        "type": "audio",
        "data": "string",
        "uri": "string",
        "channels": 0,
        "sample_rate": 0,
        "processing": {
          "type": "static",
          "start_offset": "string",
          "end_offset": "string"
        },
        "mime_type": "audio/wav"
      },
      "agent_config": {
        "type": "antigravity",
        "model": "string",
        "max_total_tokens": "string"
      },
      "id": "string",
      "status": "in_progress",
      "created": "string",
      "updated": "string",
      "system_instruction": "string",
      "tools": [
        {
          "type": "code_execution"
        }
      ],
      "response_format": {
        "type": "audio",
        "mime_type": "audio/mp3",
        "delivery": "inline",
        "sample_rate": 0,
        "bit_rate": 0
      },
      "previous_interaction_id": "string",
      "environment": {
        "type": "remote",
        "sources": [
          {
            "type": "gcs",
            "source": "string",
            "target": "string",
            "content": "string",
            "encoding": "string"
          }
        ],
        "network": {
          "allowlist": [
            {
              "domain": "...",
              "transform": "...",
              "credential": "..."
            }
          ]
        },
        "environment_id": "string",
        "env": {},
        "mode": "on_demand",
        "custom_config": {}
      },
      "environment_id": "string",
      "service_tier": "flex",
      "webhook_config": {
        "uris": [
          "string"
        ],
        "user_metadata": {}
      },
      "safety_settings": [
        {
          "type": "hate_speech",
          "threshold": "block_low_and_above",
          "method": "severity"
        }
      ],
      "labels": {},
      "continuation_token": "string",
      "stream": true,
      "store": true,
      "background": true
    },
    "id": "string",
    "display_name": "string",
    "environment_id": "string",
    "max_consecutive_failures": 0,
    "execution_timeout_seconds": 0,
    "consecutive_failure_count": 0,
    "create_time": "string",
    "update_time": "string",
    "last_run_time": "string",
    "next_run_time": "string",
    "last_pause_time": "string",
    "last_resume_time": "string",
    "previous_interaction_id": "string",
    "status": "active"
  }
  ```

  {% /right-column %}

{% /two-column-layout %}

